import React, { Component } from 'react';
import { Switch, Route, Redirect, NavLink } from 'react-router-dom';
import styles from './style.css';
import ReprtRepair from './ReprtRepair';
import RepairList from './RepairList';
class index extends Component {
  state = {
    tab: 'ReprtRepair',
  };
  toggleRouteHandle = name => {
    if (name === this.state.tab) return;
    console.log(name);
    const { history } = this.props;
    this.setState({
      tab: name,
    });
    history.replace('/repair/' + name);
  };
  render() {
    return (
      <div className="Content-Wrap">
        <div className="RepairContent">
          <Switch>
            <Route path="/repair/ReprtRepair" component={ReprtRepair} />
            <Route path="/repair/RepairList" component={RepairList} />
            <Route render={() => <Redirect to="/repair/ReprtRepair" />} />
          </Switch>
        </div>
        <div className={styles.footer}>
          <NavLink className={styles['footer-item']} to="/repair/ReprtRepair">
            报修服务
          </NavLink>
          <span className={styles.line} />
          <NavLink className={styles['footer-item']} to="/repair/RepairList">
            报修记录
          </NavLink>
        </div>
      </div>
    );
  }
}

export default index;
